Skip to main content
PUT
/
v1
/
services
/
{uid}
Update a Service
curl --request PUT \
  --url https://api.siit.io/v1/services/{uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "about": "<string>",
  "enabled": true,
  "category": "<string>"
}
'
{
  "result": {
    "uid": "<string>",
    "about": "<string>",
    "category": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "custom_form_input_configuration": [
      {
        "uid": "<string>",
        "label": "<string>",
        "multiple": true,
        "options": [
          "<string>"
        ],
        "required": true,
        "triggers_app_access": true
      }
    ],
    "enabled": true,
    "name": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Service

Body

application/json
name
string

The Service name

about
string

The Service description

enabled
boolean

Whether the Service is enabled

category
string

UID of the Service category.

Response

Service updated

result
object